#
# spec file for package pkgconfig-SLE_11
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pkgconfig-SLE_11
Version:        11.3
Release:        17.1
Summary:        Meta sub packages for pkgconfig
License:        GPL-2.0
Group:          Base/System
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SLE_11 lacks proper pkgconfig() support. As a workaround prjconf uses Substitute:.
Also an updated pkg-config and rpm package is used here. As a result libs get
Provides/Requires pkgconfig(), but the Substitute: are not used during resolving.
The subpackages provide pkgconfig(foo) and Require libfoo-devel.

%package QtCore
Provides:       pkgconfig(QtCore) = 4.6.3
Requires:       libqt4-devel = 4.6.3
Summary:        Provides pkgconfig(QtCore)
Group:          System/Packages

%description QtCore
This meta package provides pkgconfig(QtCore)
%package QtGui
Provides:       pkgconfig(QtGui) = 4.6.3
Requires:       libqt4-devel = 4.6.3
Summary:        Provides pkgconfig(QtGui)
Group:          System/Packages

%description QtGui
This meta package provides pkgconfig(QtGui)
%package QtOpenGL
Provides:       pkgconfig(QtOpenGL) = 4.6.3
Requires:       libqt4-devel = 4.6.3
Summary:        Provides pkgconfig(QtOpenGL)
Group:          System/Packages

%description QtOpenGL
This meta package provides pkgconfig(QtOpenGL)
%package QtXml
Provides:       pkgconfig(QtXml) = 4.6.3
Requires:       libqt4-devel = 4.6.3
Summary:        Provides pkgconfig(QtXml)
Group:          System/Packages

%description QtXml
This meta package provides pkgconfig(QtXml)
%package fontconfig
Provides:       pkgconfig(fontconfig) = 2.6.0
Requires:       fontconfig-devel = 2.6.0
Summary:        Provides pkgconfig(fontconfig)
Group:          System/Packages

%description fontconfig
This meta package provides pkgconfig(fontconfig)
%package freetype2
Provides:       pkgconfig(freetype2) = 9.18.3
Requires:       freetype2-devel = 2.3.7
Summary:        Provides pkgconfig(freetype2)
Group:          System/Packages

%description freetype2
This meta package provides pkgconfig(freetype2)
%package glu
Provides:       pkgconfig(glu) = 9.0.0
Requires:       Mesa-devel = 9.0.3
Summary:        Provides pkgconfig(glu)
Group:          System/Packages

%description glu
This meta package provides pkgconfig(glu)
%package jack
Provides:       pkgconfig(jack) = 1.9.7
Requires:       libjack-devel = 1.9.7
Summary:        Provides pkgconfig(jack)
Group:          System/Packages

%description jack
This meta package provides pkgconfig(jack)
%package libcrypto
Provides:       pkgconfig(libcrypto) = 0.9.8j
Requires:       libopenssl-devel = 0.9.8j
Summary:        Provides pkgconfig(libcrypto)
Group:          System/Packages

%description libcrypto
This meta package provides pkgconfig(libcrypto)
%package libcurl
Provides:       pkgconfig(libcurl) = 7.19.7
Requires:       libcurl-devel = 7.19.7
Summary:        Provides pkgconfig(libcurl)
Group:          System/Packages

%description libcurl
This meta package provides pkgconfig(libcurl)
%package libssl
Provides:       pkgconfig(libssl) = 0.9.8j
Requires:       libopenssl-devel = 0.9.8j
Summary:        Provides pkgconfig(libssl)
Group:          System/Packages

%description libssl
This meta package provides pkgconfig(libssl)
%package libxml
Provides:       pkgconfig(libxml-2.0) = 2.7.6
Requires:       libxml2-devel = 2.7.6
Summary:        Provides pkgconfig(libxml-2.0)
Group:          System/Packages

%description libxml
This meta package provides pkgconfig(libxml-2.0)
%package openssl
Provides:       pkgconfig(openssl) = 0.9.8j
Requires:       libopenssl-devel = 0.9.8j
Summary:        Provides pkgconfig(openssl)
Group:          System/Packages

%description openssl
This meta package provides pkgconfig(openssl)
%package pixman1
Provides:       pkgconfig(pixman-1) = 0.24.4
Requires:       libpixman-1-0-devel = 0.24.4
Summary:        Provides pkgconfig(pixman-1)
Group:          System/Packages

%description pixman1
This meta package provides pkgconfig(pixman-1)
%package redland
Provides:       pkgconfig(redland) = 1.0.8
Requires:       libredland-devel = 1.0.8
Summary:        Provides pkgconfig(redland)
Group:          System/Packages

%description redland
This meta package provides pkgconfig(redland)
%package sdl
Provides:       pkgconfig(sdl) = 1.2.13
Requires:       SDL-devel = 1.2.13
Summary:        Provides pkgconfig(sdl)
Group:          System/Packages

%description sdl
This meta package provides pkgconfig(sdl)
%package x11
Provides:       pkgconfig(x11) = 1.1.5
Requires:       xorg-x11-libX11-devel = 7.4
Summary:        Provides pkgconfig(x11)
Group:          System/Packages

%description x11
This meta package provides pkgconfig(x11)
%package xcb
Provides:       pkgconfig(xcb) = 1.1
Requires:       xorg-x11-libxcb-devel = 7.4
Summary:        Provides pkgconfig(xcb)
Group:          System/Packages

%description xcb
This meta package provides pkgconfig(xcb)
%package xcb_render
Provides:       pkgconfig(xcb-render) = 1.1
Requires:       xorg-x11-libxcb-devel = 7.4
Summary:        Provides pkgconfig(xcb-render)
Group:          System/Packages

%description xcb_render
This meta package provides pkgconfig(xcb-render)
%package xcb_renderutil
Provides:       pkgconfig(xcb-renderutil) = 0.2.1
Requires:       xorg-x11-libxcb-devel = 7.4
Summary:        Provides pkgconfig(xcb-renderutil)
Group:          System/Packages

%description xcb_renderutil
This meta package provides pkgconfig(xcb-renderutil)
%package xext
Provides:       pkgconfig(xext) = 1.0.4
Requires:       xorg-x11-libXext-devel = 7.4
Summary:        Provides pkgconfig(xext)
Group:          System/Packages

%description xext
This meta package provides pkgconfig(xext)
%package xft
Provides:       pkgconfig(xft) = 2.1.13
Requires:       xorg-x11-devel = 7.4
Summary:        Provides pkgconfig(xft)
Group:          System/Packages

%description xft
This meta package provides pkgconfig(xft)
%package xmu
Provides:       pkgconfig(xmu) = 1.0.4
Requires:       xorg-x11-libXmu-devel = 7.4
Summary:        Provides pkgconfig(xmu)
Group:          System/Packages

%description xmu
This meta package provides pkgconfig(xmu)
%package xproto
Provides:       pkgconfig(xproto) = 7.0.13
Requires:       xorg-x11-proto-devel = 7.4
Summary:        Provides pkgconfig(xproto)
Group:          System/Packages

%description xproto
This meta package provides pkgconfig(xproto)
%package xrender
Provides:       pkgconfig(xrender) = 0.9.4
Requires:       xorg-x11-libXrender-devel = 7.4
Summary:        Provides pkgconfig(xrender)
Group:          System/Packages

%description xrender
This meta package provides pkgconfig(xrender)
%package xt
Provides:       pkgconfig(xt) = 1.0.5
Requires:       xorg-x11-devel = 7.4
Summary:        Provides pkgconfig(xt)
Group:          System/Packages

%description xt
This meta package provides pkgconfig(xt)
%prep

%build

%install
mkdir -vp %{buildroot}%{_libdir}/%{name}

%files QtCore
%defattr(-,root,root)
%{_libdir}/%{name}
%files QtGui
%defattr(-,root,root)
%{_libdir}/%{name}
%files QtOpenGL
%defattr(-,root,root)
%{_libdir}/%{name}
%files QtXml
%defattr(-,root,root)
%{_libdir}/%{name}
%files fontconfig
%defattr(-,root,root)
%{_libdir}/%{name}
%files freetype2
%defattr(-,root,root)
%{_libdir}/%{name}
%files glu
%defattr(-,root,root)
%{_libdir}/%{name}
%files jack
%defattr(-,root,root)
%{_libdir}/%{name}
%files libcrypto
%defattr(-,root,root)
%{_libdir}/%{name}
%files libcurl
%defattr(-,root,root)
%{_libdir}/%{name}
%files libssl
%defattr(-,root,root)
%{_libdir}/%{name}
%files libxml
%defattr(-,root,root)
%{_libdir}/%{name}
%files openssl
%defattr(-,root,root)
%{_libdir}/%{name}
%files pixman1
%defattr(-,root,root)
%{_libdir}/%{name}
%files redland
%defattr(-,root,root)
%{_libdir}/%{name}
%files sdl
%defattr(-,root,root)
%{_libdir}/%{name}
%files x11
%defattr(-,root,root)
%{_libdir}/%{name}
%files xcb
%defattr(-,root,root)
%{_libdir}/%{name}
%files xcb_render
%defattr(-,root,root)
%{_libdir}/%{name}
%files xcb_renderutil
%defattr(-,root,root)
%{_libdir}/%{name}
%files xext
%defattr(-,root,root)
%{_libdir}/%{name}
%files xft
%defattr(-,root,root)
%{_libdir}/%{name}
%files xmu
%defattr(-,root,root)
%{_libdir}/%{name}
%files xproto
%defattr(-,root,root)
%{_libdir}/%{name}
%files xrender
%defattr(-,root,root)
%{_libdir}/%{name}
%files xt
%defattr(-,root,root)
%{_libdir}/%{name}

%changelog
